Page MenuHomeWrite.as

Upload photos via API
Closed, ResolvedPublic

Description

Overview

We need to support uploading to Snap.as via non-web interfaces.

Background

This is required for all migrations to Write.as - Import.

This is currently impossible with Google Cloud, so we're blocked until T748 is complete.

Implementation

Just like the Write.as API, accept an Authorization header for authorizing a user. Accept photos on /api/me/ and /api/albums/{name} base endpoints.

Revisions and Commits

Related Objects

StatusAssignedTask
Resolvedmatt
OpenNone
Resolvedmatt

Event Timeline

matt triaged this task as High priority.Sep 9 2020, 7:24 PM
matt created this task.
matt created this object with visibility "Restricted Project (Project)".
matt created this object with edit policy "Restricted Project (Project)".
matt moved this task from Future to Q3 2020 - Jul-Sep on the Roadmap board.
matt added a subtask: Restricted Maniphest Task.
matt changed the visibility from "Restricted Project (Project)" to "Public (No Login Required)".Sep 10 2020, 6:38 PM
matt changed the edit policy from "Restricted Project (Project)" to "All Users".
matt added a parent task: Restricted Maniphest Task.Sep 11 2020, 12:36 AM

Final endpoints:

Upload photo: POST /api/photos/upload

Upload album photo: POST /api/albums/{album}/photos/upload

matt closed this task as Resolved by committing Restricted Diffusion Commit.Sep 18 2020, 2:43 PM
matt added a commit: Restricted Diffusion Commit.
matt added a commit: Restricted Diffusion Commit.
matt added a parent task: Restricted Maniphest Task.Sep 22 2020, 11:26 AM
matt added a project: Restricted Project.Sep 25 2020, 5:20 PM
matt moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.Sep 25 2020, 5:30 PM
matt closed subtask Restricted Maniphest Task as Resolved.Oct 26 2020, 10:32 PM